DROP TABLE IF EXISTS `matters_schedule`;
CREATE TABLE IF NOT EXISTS `matters_schedule` (
  `schedule_id` int(11) NOT NULL AUTO_INCREMENT,
  `appointment_id` int(11) DEFAULT NULL,
  `class_id` int(11) DEFAULT NULL,
  `event_id` int(11) DEFAULT NULL,
  `case_id` int(11) DEFAULT NULL,
  `contact_id` int(11) DEFAULT NULL,
  `type_id` int(11) DEFAULT NULL,
  `purpose` varchar(1000) DEFAULT NULL,
  `location` int(11) DEFAULT NULL,
  `user_id` varchar(250) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `start_time` time DEFAULT NULL,
  `duration` varchar(10) DEFAULT NULL,
  `enable_recurring` int(5) DEFAULT NULL,
  `recurring_options` text,
  `end_time` time DEFAULT NULL,
  `request` varchar(10) DEFAULT NULL,
  `request_status` varchar(20) NOT NULL DEFAULT 'Approved',
  `room` int(11) DEFAULT NULL,
  `scheduled_by` int(11) NOT NULL DEFAULT '0',
  `display` varchar(20) NOT NULL DEFAULT 'Public',
  `status` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`schedule_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

INSERT INTO `matters_schedule` (`schedule_id`, `appointment_id`, `class_id`, `event_id`, `case_id`, `contact_id`, `type_id`, `purpose`, `location`, `user_id`, `date`, `start_time`, `duration`, `enable_recurring`, `recurring_options`, `end_time`, `request`, `request_status`, `room`, `scheduled_by`, `display`, `status`) VALUES
(1, 1, NULL, NULL, 3, 2, 2, 'Project Team Startup Meeting', 1, '["2"]', DATE_SUB(NOW(), INTERVAL 2 DAY), '09:00:00', '60', 0, '[]', '10:00:00', '', 'Approved', 1, 0, 'Public', 'Completed'),
(2, 2, NULL, NULL, 3, 2, 2, 'Needs Analysis Work Meeting', 1, '["2"]', DATE_ADD(NOW(), INTERVAL 0 DAY), '8:00:00', '60', 0, '[]', '9:00:00', '', 'Approved', 2, 0, 'Public', 'Confirmed'),
(3, 3, NULL, NULL, 1, 1, 2, 'Proposal Updates', 2, '["4"]', DATE_ADD(NOW(), INTERVAL 2 DAY), '09:00:00', '60', 0, '', '10:00:00', '', 'Approved', 3, 0, 'Public', 'Confirmed'),
(4, 4, NULL, NULL, 0, 6, 2, 'Techical Discussion', 1, '["5"]', DATE_ADD(NOW(), INTERVAL 0 DAY), '11:00:00', '60', 0, '[]', '12:00:00', 'yes', 'Approved', 1, 0, 'Public', 'Confirmed'),
(5, 5, NULL, NULL, 0, 1, 4, 'Budget Meeting', 1, '["5"]', DATE_ADD(NOW(), INTERVAL 0 DAY), '11:00:00', '60', 0, '[]', '12:00:00', 'yes', 'Approved', 1, 0, 'Public', 'Confirmed'),
(6, 6, NULL, NULL, 0, 7, 3, 'Sales Status Call', 1, '["5"]', DATE_ADD(NOW(), INTERVAL 0 DAY), '14:00:00', '60', 0, '[]', '15:00:00', 'yes', 'Approved', 1, 0, 'Public', 'Confirmed'),
(7, 7, NULL, NULL, 0, 3, 2, 'New Products', 2, '["4"]', DATE_ADD(NOW(), INTERVAL 2 DAY), '13:00:00', '60', 0, '', '14:00:00', '', 'Pending', 3, 0, 'Public', NULL);
