UPDATE `license` SET `version` = '1.3';
/* Set version in system.sql file as well. Do not drop any user-input data table in this file. */     

ALTER TABLE `onlinestore_catalogs` ADD  `output_size_width_1` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size1` ,
ADD  `output_size_height_1` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size_width_1` ;

ALTER TABLE `onlinestore_catalogs` ADD  `output_size_width_2` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size2` ,
ADD  `output_size_height_2` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size_width_2` ;

ALTER TABLE `onlinestore_catalogs` ADD  `output_size_width_3` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size3` ,
ADD  `output_size_height_3` INT( 11 ) NOT NULL DEFAULT  '0' AFTER  `output_size_width_3` ;

ALTER TABLE `onlinestore_catalogs` ADD  `image_download` MEDIUMTEXT NOT NULL AFTER  `digitaldownload` ;

ALTER TABLE `onlinestore_catalogs` DROP  `image_download1` ,
DROP  `image_download2` ,
DROP  `image_download3` ;

ALTER TABLE `onlinestore_catalogs` DROP  `output_size1` ,
DROP  `output_size2` ,
DROP  `output_size3` ;

ALTER TABLE `onlinestore_catalogs` ADD  `output_size_width_4` int(11) NOT NULL DEFAULT '0' AFTER  `image_type3` ,
ADD `output_size_height_4` int(11) NOT NULL DEFAULT '0' AFTER  `output_size_width_4` ,
ADD `list_price4` double(10,2) DEFAULT '0.00' AFTER  `output_size_height_4` ,
ADD `image_type4` mediumtext AFTER  `list_price4` ;

ALTER TABLE `onlinestore_catalogs` ADD  `output_size_width_5` int(11) NOT NULL DEFAULT '0' AFTER  `image_type4` ,
ADD `output_size_height_5` int(11) NOT NULL DEFAULT '0' AFTER  `output_size_width_5` ,
ADD `list_price5` double(10,2) DEFAULT '0.00' AFTER  `output_size_height_5` ,
ADD `image_type5` mediumtext AFTER  `list_price5` ;


INSERT INTO `system_menus` (`menu_id` ,`is_module` ,`is_group` ,`group_options` ,`module_inherit` ,`menu_name` ,`menu_controller` ,`menu_action` ,`menu_url` ,`menu_options` ,`menu_parent` ,`menu_inherit` ,`menu_show` ,`menu_order` ,`menu_show_roles` ,`menu_enable_link` ,`system_admin_only` ,`target`) VALUES ('137', '0', '0', '[]', '0', 'Custom Forms', 'utilities', 'custom_forms', '', 'S,H', '61', '0', '1', '75', '1', '1', '0', NULL);
UPDATE `system_menus` SET `menu_order` = '76' WHERE `system_menus`.`menu_id` =121;

INSERT INTO `acls` (`acl_id`, `menu_id`, `role_id`, `acl_read`, `acl_write`) VALUES
(158, 137, 2, 0, 0),
(159, 137, 4, 0, 0),
(160, 137, 3, 0, 0);


CREATE TABLE IF NOT EXISTS `custom_forms` (
  `form_id` mediumint(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `form_name` text NOT NULL,
  `usage_area` varchar(50) NOT NULL,
  `form_submission_confirmation` varchar(15) DEFAULT NULL,
  `form_submission_confirmation_text` text NOT NULL,
  `form_submission_confirmation_redirect` text NOT NULL,
  `default` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`form_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `custom_forms` (`form_id`, `user_id`, `form_name`, `usage_area`, `form_submission_confirmation`, `form_submission_confirmation_text`, `form_submission_confirmation_redirect`, `default`) VALUES
(1, 1, 'Check-in and Checkout', '["Appointments"]', 'text', 'Success! Your submission has been saved!', 'http://', 1);


CREATE TABLE IF NOT EXISTS `custom_form_elements` (
  `element_id` mediumint(10) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `field_type` text NOT NULL,
  `field_guidelines` text,
  `field_label` text NOT NULL,
  `field_rules_required` varchar(3) DEFAULT NULL,
  `field_text_option_password` varchar(3) DEFAULT NULL,
  `grouping` mediumint(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`element_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `custom_form_elements` (`element_id`, `form_id`, `field_type`, `field_guidelines`, `field_label`, `field_rules_required`, `field_text_option_password`, `grouping`) VALUES
(1, 1, 'Date', NULL, 'Check-in Date', '', '', 1),
(2, 1, 'Time', NULL, 'Check-in Time', '', '', 2),
(3, 1, 'Date', NULL, 'Checkout Date', '', '', 3),
(4, 1, 'Time', NULL, 'Checkout Time', '', '', 4),
(5, 1, 'Paragraph Text', NULL, 'Service Performed', '', '', 5),
(6, 1, 'Multiple Choices', NULL, 'Fee Paid', '', '', 6),
(7, 1, 'Dropdown', NULL, 'Payment Method', '', '', 7);


CREATE TABLE IF NOT EXISTS `custom_form_element_options` (
  `option_id` int(11) NOT NULL AUTO_INCREMENT,
  `element_id` int(11) NOT NULL,
  `field_option_value` text NOT NULL,
  `field_option_value_defaulted` varchar(3) DEFAULT NULL,
  `grouping` mediumint(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`option_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `custom_form_element_options` (`option_id`, `element_id`, `field_option_value`, `field_option_value_defaulted`, `grouping`) VALUES
(1, 6, 'Yes', '', 1),
(2, 6, 'No', '', 2),
(3, 7, 'Credit Card', '', 1),
(4, 7, 'Paypal', '', 2),
(5, 7, 'Google Wallet', '', 3),
(6, 7, 'Check', '', 4),
(7, 7, 'Cash', '', 5);


CREATE TABLE IF NOT EXISTS `custom_form_data` (
  `data_id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `section` varchar(50) NOT NULL DEFAULT '',
  `target_id` int(11) NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `submission_date` datetime NOT NULL,
  PRIMARY KEY (`data_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


ALTER TABLE `appointment_calendars` ADD `form_id` INT(11) NOT NULL DEFAULT '1' AFTER `room`;

ALTER TABLE `dashboard_documents` ADD `document_type` VARCHAR(50) NOT NULL DEFAULT 'attachment' AFTER `user_id`;
ALTER TABLE `dashboard_documents` ADD `form_id` INT(11) NULL DEFAULT NULL AFTER `user_id`;

ALTER TABLE `client_documents` ADD `document_type` VARCHAR(50) NOT NULL DEFAULT 'attachment' AFTER `client_id`;
ALTER TABLE `client_documents` ADD `form_id` INT(11) NULL DEFAULT NULL AFTER `client_id`;

ALTER TABLE `frontend_pages` ADD `form_id` INT(11) NOT NULL DEFAULT '0' AFTER `page_id`;    